Bug 248340 - devel/json-c: Update to 0.15
Summary: devel/json-c: Update to 0.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-29 06:13 UTC by daniel.engberg.lists
Modified: 2020-08-15 17:34 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)
antoine: exp-run+


Attachments
Patch for json-c (7.82 KB, patch)
2020-07-29 06:13 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-07-29 06:13:55 UTC
Created attachment 216850 [details]
Patch for json-c

Update to 0.15
All patches are in upstream and/or have been fixed upstream

Tested on FreeBSD 13.0-CURRENT r361421 (amd64), make test
Poudriere testport OK 12.1-RELEASE (amd64)
Compile test: netdata, frr7
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-07-29 06:48:55 UTC
Request exp-run.
Comment 2 Antoine Brodin freebsd_committer 2020-08-03 19:02:37 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2020-08-15 17:13:29 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Aug 15 17:12:04 UTC 2020
New revision: 545049
URL: https://svnweb.freebsd.org/changeset/ports/545049

Log:
  Update to 0.15

  Changes:	https://github.com/json-c/json-c/blob/master/ChangeLog
  PR:		248340
  Submitted by:	Daniel Engberg <daniel.engberg.lists@pyret.net>
  Exp-run by:	antoine

Changes:
  head/devel/json-c/Makefile
  head/devel/json-c/distinfo
  head/devel/json-c/files/
  head/devel/json-c/pkg-plist
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-08-15 17:34:18 UTC
Committed. Thanks!